Your submission was sent successfully! Close

You have successfully unsubscribed! Close

Thank you for signing up for our newsletter!
In these regular emails you will find the latest updates about Ubuntu and upcoming events where you can meet our team.Close

CVE-2023-39354

Published: 31 August 2023

FreeRDP is a free implementation of the Remote Desktop Protocol (RDP), released under the Apache license. Affected versions are subject to an Out-Of-Bounds Read in the `nsc_rle_decompress_data` function. The Out-Of-Bounds Read occurs because it processes `context->Planes` without checking if it contains data of sufficient length. Should an attacker be able to leverage this vulnerability they may be able to cause a crash. This issue has been addressed in versions 2.11.0 and 3.0.0-beta3. Users are advised to upgrade. There are no known workarounds for this vulnerability.

Priority

Medium

Cvss 3 Severity Score

7.5

Score breakdown

Status

Package Release Status
freerdp2
Launchpad, Ubuntu, Debian
bionic
Released (2.2.0+dfsg1-0ubuntu0.18.04.4+esm1)
Available with Ubuntu Pro or Ubuntu Pro (Infra-only)
focal
Released (2.2.0+dfsg1-0ubuntu0.20.04.5)
jammy
Released (2.6.1+dfsg1-3ubuntu2.4)
lunar
Released (2.10.0+dfsg1-1ubuntu0.2)
mantic
Released (2.10.0+dfsg1-1.1ubuntu1)
trusty Ignored
(end of standard support)
upstream
Released (2.11.0)
xenial Ignored
(end of standard support)

Severity score breakdown

Parameter Value
Base score 7.5
Attack vector Network
Attack complexity Low
Privileges required None
User interaction None
Scope Unchanged
Confidentiality None
Integrity impact None
Availability impact High
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H